/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "IterativExtendedKalman3DPoint.hh"

#include "Base/Math/Vector2.hh"
#include "Base/Math/Vector3.hh"
#include "Base/Math/Matrix2x2.hh"
#include "Base/Math/Matrix.hh"

using namespace BIAS;
using namespace std;

void 
BIAS::IterativExtendedKalman3DPoint(const HomgPoint2D& x, 
                                    const PMatrixBase& P, 
                                    HomgPoint3D& X, Matrix3x3<double>& L,
                                    double MeasurementNoise, 
                                    unsigned int NumIterations, 
                                    double DiffusionFactor)
{
  BIASERR("deprecated");
} 
