
#!/bin/sh

##
## remove in source cache file
## to allow out-of-place builds: 
##
CACHE=/home/dart/source/BIAS/CMakeCache.txt
if [ -f $CACHE ]; then
 echo removing CMake cache file \"$CACHE\"
 rm $CACHE
fi

mkdir -p /home/dart/dash/BIAS
cd /home/dart/dash/BIAS


##
## set configure options:
##

OPTIONS="-DCMAKE_BUILD_TYPE:STRING=Debug"
OPTIONS="${OPTIONS} -DBUILD_TESTS:BOOL=ON"
OPTIONS="${OPTIONS} -DBUILD_TESTING:BOOL=ON"
OPTIONS="${OPTIONS} -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON"
OPTIONS="${OPTIONS} -DBIAS_DASHBOARD_SERVER:BOOL=ON"

## OPTIONS="${OPTIONS} -DUSE_DAIMLERCHRYSLER:BOOL=ON"
## OPTIONS="${OPTIONS} -DUSE_FFTW3:BOOL=ON"
## OPTIONS="${OPTIONS} -DUSE_IMLIB:BOOL=ON"
## OPTIONS="${OPTIONS} -DUSE_OPENGL:BOOL=ON"
## OPTIONS="${OPTIONS} -DUSE_XML2:BOOL=ON"
## OPTIONS="${OPTIONS} -DUSE_GTK:BOOL=ON"


##
## configure and generate Makefiles: 
##
cmake $OPTIONS /home/dart/source/BIAS


##
## setup the dashboard:
##
# make ExperimentalDashboardStart
make NightlyDashboardStart


